--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Get a hash with names and values of all instance variables.
- !ruby/struct:SM::Flow::VERB 
  body: "  class Foo &lt; Struct.new(:name, :age, :gender); end\n  f = Foo.new(&quot;Jill&quot;, 50, :female)\n  f.attributes   #=&gt; {:name =&gt; &quot;Jill&quot;, :age =&gt; 50, :gender =&gt; :female}\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Hash] Hash of instance variables in receiver, keyed by ivar name"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: Struct#attributes
is_singleton: false
name: attributes
params: ()
visibility: public
